summaryrefslogtreecommitdiffstats
path: root/debian/knot-resolver.preinst
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-27 10:41:59 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-27 10:41:59 +0000
commitbe05184b2324848b4f33e6e5d9c716bc95f581f3 (patch)
tree4da6fcfe204d1694377e90c44b02f1b0790aabe8 /debian/knot-resolver.preinst
parentAdding upstream version 5.3.1. (diff)
downloadknot-resolver-be05184b2324848b4f33e6e5d9c716bc95f581f3.tar.xz
knot-resolver-be05184b2324848b4f33e6e5d9c716bc95f581f3.zip
Adding debian version 5.3.1-1+deb11u1.debian/5.3.1-1+deb11u1debian
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'debian/knot-resolver.preinst')
-rw-r--r--debian/knot-resolver.preinst29
1 files changed, 29 insertions, 0 deletions
diff --git a/debian/knot-resolver.preinst b/debian/knot-resolver.preinst
new file mode 100644
index 0000000..c6df754
--- /dev/null
+++ b/debian/knot-resolver.preinst
@@ -0,0 +1,29 @@
+#!/bin/sh
+# SPDX-License-Identifier: GPL-3.0-or-later
+set -e
+
+# upgrade-4-to-5
+if [ -f /lib/systemd/system/kresd.socket ] ; then
+ export UPG_DIR=/var/lib/knot-resolver/.upgrade-4-to-5
+ mkdir -p ${UPG_DIR}
+ touch ${UPG_DIR}/.unfinished
+
+ for sock in kresd.socket kresd-tls.socket ; do
+ if deb-systemd-helper is-enabled ${sock} 2>/dev/null | grep -qv masked ; then
+ #TODO: handle systems not running systemd
+ systemctl show ${sock} -p Listen > ${UPG_DIR}/${sock}
+ case "$(systemctl show ${sock} -p BindIPv6Only)" in
+ *ipv6-only)
+ touch ${UPG_DIR}/${sock}.v6only
+ ;;
+ *default)
+ if cat /proc/sys/net/ipv6/bindv6only | grep -q 1 ; then
+ touch ${UPG_DIR}/${sock}.v6only
+ fi
+ ;;
+ esac
+ fi
+ done
+fi
+
+#DEBHELPER#